/* devices.c */
int identifyDevice(char *id);
int pmsize(int idnum);
int dmsize(int idnum);

/* serial.c */
int openSerialPort(char *dev_name);
int closeSerialPort(int fd);
int readSerialPortInto(int fd, int count, char *startPtr);
int readSerialPortUpto(int fd, char *startPtr, int upto);
int writeSerialPortFrom(int fd, int count, char *startPtr);
void clearInputBuffer(int fd);

/* hex.c */
int readFromHexInto(FILE *hexfp, int bufferSize, unsigned char *startPtr);

/* comm.c */
int identify(int fd);
void writeProgramMemoryFrom(int fd, int idnum, unsigned char *stratPtr);
void writeDataMemoryFrom(int fd, int idnum, unsigned char *stratPtr);
void eraseProgramMemory(int fd);
void eraseProgramAndDataMemory(int fd);
